## org.eclipse.jst.jsf.core.jsflibraryconfiguration
Interface JSFLibraryReferenceServerSupplied

All Superinterfaces:
  JSFLibraryReference

Deprecated.

    public interface JSFLibraryReferenceServerSupplied

extends JSFLibraryReference

A reference to a JSF Library where the implementation library is presumed to be coming from the server

Provisional API - subject to change

Field Summary
`static java.lang.String` `ID` Deprecated. Constant used for server supplied virtual JSF Library referencew

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.core.jsflibraryconfiguration.JSFLibraryReference
`getId, getJars, getLabel, getMaxSupportedVersion, getName, isDeployed, isJSFImplementation`

Field Detail

### ID

    static final java.lang.String ID

  Deprecated.
  Constant used for server supplied virtual JSF Library referencew

  See Also:
    Constant Field Values